Debian Bug report logs - #406135
ITA: tclex -- A lexical analyzer generator for Tcl

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Tue, 9 Jan 2007 00:48:14 UTC

Owned by: Sergei Golovan <sgolovan@debian.org>

Severity: normal

Fixed in version tclex/1.2a1-12

Done: Sergei Golovan <sgolovan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David A. van Leeuwen <vleeuwen@debian.org>, <wnpp@debian.org>:
Bug#406135; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to David A. van Leeuwen <vleeuwen@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: tclex -- A lexical analyzer generator for Tcl
Date: Tue, 9 Jan 2007 01:38:54 +0100
Package: wnpp
Severity: normal

The current maintainer of tclex, David A. van Leeuwen <vleeuwen@debian.org>,
has orphaned this package.

Maintaining a package requires time and skills. Please only adopt this
package if you are *sure* you will have enough time and attention to
work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: tclex
Binary: tclex
Version: 1.2a1-9.1
Priority: extra
Section: interpreters
Maintainer: David A. van Leeuwen <vleeuwen@debian.org>
Build-Depends: tcl8.3-dev, tk8.3-dev, debhelper
Architecture: any
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/t/tclex
Files:
 405152fbb7c2d9370019aab5a9f0f2b5 578 tclex_1.2a1-9.1.dsc
 bfbe12dfce3c054c561972bc3c92be8b 100103 tclex_1.2a1.orig.tar.gz
 ee85fb874d2dd6f61c7d56ebb83c389d 5454 tclex_1.2a1-9.1.diff.gz

Package: tclex
Priority: extra
Section: interpreters
Installed-Size: 212
Maintainer: David A. van Leeuwen <vleeuwen@debian.org>
Architecture: i386
Version: 1.2a1-9.1
Depends: tcl8.3, tk8.3, libc6 (>= 2.3.6-6)
Filename: pool/main/t/tclex/tclex_1.2a1-9.1_i386.deb
Size: 45596
MD5sum: 90844e4465b01cbac21d4c59c154e43a
SHA1: d216d2c67a2e217c6cc3255d84b1392946e29893
SHA256: 5e7e52862ea3e03f5ed91fca49d733ae0b40e49b00d427e588bd6739257f3fba
Description: A lexical analyzer generator for Tcl
 tcLex is a lexer (lexical analyzer) generator extension to Tcl. It is
 inspired by Unix and GNU lex and flex, which are "tools for
 generating programs that perform pattern-matching on text". tcLex is
 very similar to these programs, except it uses Tcl philosophy and
 syntax, whereas the others use their own syntax and are used in
 conjunction with the C language. People used to lex or flex should
 then feel familiar with tcLex. tcLex is a small extension (the
 Windows compiled version is about 20kb, and the source is about
 150kb), because it extensively uses the Tcl library. However, the
 current doesn't use Tcl's regexp code anymore but a patched version
 is now included in tcLex, which makes it slightly bigger (by a few
 KB). tcLex should work with Tcl 8.0 and later.  tcLex will NEVER work
 with earlier versions, because it uses Tcl 8.0's "object" system for
 performance. The most interesting features are:
 .
  * cross-platform support, thanks to Tcl. Though it has been
    developed on Windows and tested on Windows and Unix only, it
    should work on other platforms as long as Tcl exists on these
    platforms. Supported Tcl platforms are Windows 95/NT, Unix (Linux,
    Solaris...) and Macintosh. Other platforms are VMS, OS/2,
    NeXTStep, Amiga...
 .
  * unlike lex and flex, which only generate static lexers written in
    C and intended to be compiled, tcLex dynamically generates Tcl
    commands that can be used like other C commands or Tcl procedures
    from within Tcl scripts or C programs.
 .
  * it uses Tcl regular expressions. That means you don't have to
    learn another regexp language.
 .
  * it works with Tcl namespaces
 .
  * the generated lexer commands can be used in one pass or
    incrementally, because they maintain state information. That way,
    several instances of the same lexer (eg a HTML parser) can run at
    the same time in distinct call frames and maintain distinct states
    (local variables...). Lexer need not be specially designed in
    order to be used incrementally, the same lexer can transparently
    be used in one pass or incrementally. This feature is especially
    useful when processing text from a file or an Internet socket (Web
    pages for example), when data is not necessarily available at the
    beginning of the processing.
Tag: devel::code-generator, devel::lang:tcl, interface::commandline, role::program, scope::utility, uitoolkit::tk, works-with::software:source

-- 
Mohammed Adnène Trojette



Information stored:
Bug#406135; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to 406135-quiet@bugs.debian.org, pabs@debian.org, pkg-tcltk-devel@lists.alioth.debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 406135-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: pkg-tcltk-devel@lists.alioth.debian.org
Cc: 406135-quiet@bugs.debian.org
Subject: Debian: tclex package needs some love
Date: Wed, 28 Nov 2007 14:23:51 +0930
[Message part 1 (text/plain, inline)]
Hi tcltk maintainers,

tclex currently FTBFS (#450474) and is orphaned (#406135). I was
wondering if the Tcl/Tk maintainers would like to adopt this package.
There is a patch on the FTBFS bug, but it looks incorrect to me since it
modifies configure, which is a generated file. No other bugs have been
reported in tclex. Only one package seems to depend on it (transcriber,
also orphaned, but looks useful).

[Please CC the bug and myself in replies]

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITA: tclex -- A lexical analyzer generator for Tcl' from `O: tclex -- A lexical analyzer generator for Tcl'. Request was from "Sergei Golovan" <sgolovan@nes.ru> to control@bugs.debian.org. (Fri, 30 Nov 2007 18:57:03 GMT) Full text and rfc822 format available.

Owner recorded as Sergei Golovan <sgolovan@debian.org>. Request was from "Sergei Golovan" <sgolovan@nes.ru> to control@bugs.debian.org. (Fri, 30 Nov 2007 18:57:03 GMT) Full text and rfc822 format available.

Information stored:
Bug#406135; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Sergei Golovan" <sgolovan@nes.ru>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #19 received at 406135-quiet@bugs.debian.org (full text, mbox):

From: "Sergei Golovan" <sgolovan@nes.ru>
To: 406135-quiet@bugs.debian.org, pabs@debian.org, pkg-tcltk-devel@lists.alioth.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-tcltk-devel] Debian: tclex package needs some love
Date: Fri, 30 Nov 2007 21:43:38 +0300
retitle 406135 ITA: tclex -- A lexical analyzer generator for Tcl
owner 406135 Sergei Golovan <sgolovan@debian.org>
thanks

On 11/28/07, Paul Wise <pabs@debian.org> wrote:
> Hi tcltk maintainers,
>
> tclex currently FTBFS (#450474) and is orphaned (#406135). I was
> wondering if the Tcl/Tk maintainers would like to adopt this package.
> There is a patch on the FTBFS bug, but it looks incorrect to me since it
> modifies configure, which is a generated file. No other bugs have been
> reported in tclex. Only one package seems to depend on it (transcriber,
> also orphaned, but looks useful).

I'll take care about tclex.

-- 
Sergei Golovan




Reply sent to Sergei Golovan <sgolovan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 406135-close@bugs.debian.org (full text, mbox):

From: Sergei Golovan <sgolovan@debian.org>
To: 406135-close@bugs.debian.org
Subject: Bug#406135: fixed in tclex 1.2a1-12
Date: Fri, 30 Nov 2007 19:32:11 +0000
Source: tclex
Source-Version: 1.2a1-12

We believe that the bug you reported is fixed in the latest version of
tclex, which is due to be installed in the Debian FTP archive:

tclex_1.2a1-12.diff.gz
  to pool/main/t/tclex/tclex_1.2a1-12.diff.gz
tclex_1.2a1-12.dsc
  to pool/main/t/tclex/tclex_1.2a1-12.dsc
tclex_1.2a1-12_i386.deb
  to pool/main/t/tclex/tclex_1.2a1-12_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 406135@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sergei Golovan <sgolovan@debian.org> (supplier of updated tclex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 30 Nov 2007 20:41:40 +0300
Source: tclex
Binary: tclex
Architecture: source i386
Version: 1.2a1-12
Distribution: unstable
Urgency: low
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Changed-By: Sergei Golovan <sgolovan@debian.org>
Description: 
 tclex      - A lexical analyzer generator for Tcl
Closes: 406135 450474
Changes: 
 tclex (1.2a1-12) unstable; urgency=low
 .
   * New maintainer Debian Tcl/Tk Packagers
     <pkg-tcltk-devel@lists.alioth.debian.org> (closes: #406135).
   * Adopted the package to the current Debian Tcl/Tk policy. This also fixed
     FTBFS (closes: #450474).
   * Fixed lintian complain on ignoring make distclean errors.
   * Switched to quilt for patch management.
   * Bumped debhelper compatibility level to 5.
Files: 
 7767040dafbbb590549e499bd4c94e29 651 interpreters extra tclex_1.2a1-12.dsc
 b78a8c43b9b6207162d24a135deeb51e 6967 interpreters extra tclex_1.2a1-12.diff.gz
 e5f87021c1f80eac33318b44e3ec1a1a 47056 interpreters extra tclex_1.2a1-12_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHUGBRIcdH02pGEFIRAks3AJ4/Solm3JEF4JMZpDGxPd1FSQTuQQCdEEu6
sOVnkuKiAQvYxZhdYsIDzT0=
=45Zh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 13:21:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:15:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.